variable "values" {
  type = object({
    {{ if $.Values.cluster_name }}
    cluster_name = optional(string)
    {{ end }}
    {{ if $.Values.access_key }}
    access_key = optional(string)
    {{ end }}
    {{ if $.Values.secret_key }}
    secret_key = optional(string)
    {{ end }}
  })

  default = {
    {{ if $.Values.cluster_name }}
    cluster_name = "default"
    {{ end }}
    {{ if $.Values.access_key }}
    access_key   = "default"
    {{ end }}
    {{ if $.Values.secret_keye }}
    secret_key   = "default"
    {{ end }}
  }
}

output "json_blob" {
  value = jsonencode({
    {{ if $.Values.cluster_name }}
    Values_Cluster   = var.values.cluster_name
    {{ end }}

    {{ if $.Values.access_key }}
    Values_AccessKey = var.values.access_key
    {{ end }}

    {{ if $.Values.secret_key }}
    Values_SecretKey = var.values.secret_key
    {{ end }}
  })
}
